## fluxbox 1.1.1+git20100807.0cc08f9

=== doc/asciidoc/Makefile ===
#
# create manpages from the asciidoc files
#

SRC1 = fluxbox.txt fluxbox-remote.txt fbrun.txt fbsetbg.txt fbsetroot.txt startfluxbox.txt
SRC5 = fluxbox-keys.txt fluxbox-apps.txt fluxbox-style.txt fluxbox-menu.txt

MAN = $(SRC1:.txt=.1) $(SRC5:.txt=.5)
MANdotIN = $(addsuffix .in,$(MAN))
DISTFILES = $(addprefix ../,$(MANdotIN))

all: $(MAN)

dist: $(DISTFILES)

clean:
	rm -fv $(MAN)

%.1 : %.xml
	xmlto man $<

%.5 : %.xml
	xmlto man $<

../%.1.in: %.1
	cp $< $@

../%.5.in: %.5
	cp $< $@

%.xml : %.txt
	asciidoc -b docbook -d manpage -o $@ $<

# Dependencies:
#
# fluxbox-apps(5) and fluxbox-keys(5) both include client-patterns.txt
fluxbox-keys.5 fluxbox-apps.5: client-patterns.txt

=== src/tests/Makefile ===
CXX=g++
CXXFLAGS= -I.. -I../FbTk -I../.. -DDEBUG -DUSE_XFT -Wall -g -O2 -fno-inline
LIBS= 
XFLAGS= -I/usr/X11R6/include
XLIBS= -L/usr/X11R6/lib -lX11 -lXft -lXpm -lImlib2
COMPILEFILE=$(CXX) -c $(CXXFLAGS)
FONT_OBJ = ../FbTk/libFbTk.a
COMPILE = ${CXX} ${CXXFLAGS} ${XLIBS}

all: testMenu testFont testTexture movetest testSignals


.cc.o:
	$(CXX) -c $(CXXFLAGS) $<

glxtest: ../FbTk/App.hh glxtest.cc
	${CXX} glxtest.cc ${CXXFLAGS} ${XLIBS} -lGL -lGLU -lXpm -o glxtest

testSignals: testSignals.o ../FbTk/Signal.hh ../FbTk/MemFun.hh
	$(CXX) $(LIBS) testSignals.o -o testSignals ../FbTk/libFbTk.a

testStringUtil: StringUtiltest.o
	$(CXX) $(LIBS) StringUtiltest.o ../FbTk/libFbTk.a -o testStringUtil

testKeys:  testKeys.o
	$(CXX) $(LIBS) $(XLIBS) testKeys.o -o testKeys

testResource: Resourcetest.o Resource.o
	${CXX} ${LIBS} ${XLIBS} Resourcetest.o Resource.o -o testResource

testTitle: titletest.cc
	${CXX} ${CXXFLAGS} ${LIBS} ${XLIBS} titletest.cc ../FbTk/libFbTk.a -o testTitle

signaltest:
	${COMPILE} ../FbTk/SignalHandler.o signaltest.cc -o signaltest

testFont: testFont.cc ${FONT_OBJ}
	${CXX} testFont.cc -o testFont ${CXXFLAGS} ${XLIBS} 

testMenu: menutest.cc 
	${CXX} menutest.cc -o testMenu ${CXXFLAGS} ${XLIBS} ../FbMenuParser.o ../FbTk/libFbTk.a -lXpm -lImlib2 ../Parser.o

testLayers: testLayers.cc
	${CXX} ${CXXFLAGS} ${XLIBS} testLayers.cc ../FbTk/libFbTk.a -o testLayers

testTransp: transpTest.cc
	${CXX} ${CXXFLAGS} ${XLIBS} transpTest.cc ../FbTk/libFbTk.a -o testTransp

testScale: scaleTest.cc
	${CXX} ${CXXFLAGS} ${XLIBS} scaleTest.cc ../FbTk/libFbTk.a -lXpm -o testScale

testTexture: texturetest.cc
	${COMPILE} texturetest.cc ../FbTk/libFbTk.a -lXpm -o testTexture

testDemandAttention: testDemandAttention.cc
	${COMPILE} testDemandAttention.cc ../FbTk/libFbTk.a -lXpm -o testDemandAttention

testFullscreen: fullscreentest.cc
	${COMPILE} fullscreentest.cc ../FbTk/libFbTk.a -o testFullscreen

Parser.o: ../Parser.hh ../Parser.cc
	${COMPILE} ${CXXFLAGS} -c ../Parser.cc

FbMenuParser.o: ../FbMenuParser.hh ../FbMenuParser.cc ../Parser.hh
	${COMPILE} ${CXXFLAGS} -c ../FbMenuParser.cc

parsertest: parsertest.cc  ../Parser.hh FbMenuParser.o Parser.o
	${COMPILE} parsertest.cc FbMenuParser.o Parser.o ../FbTk/StringUtil.o -o parsertest

movetest: movetest.cc
	${COMPILE} movetest.cc ../FbTk/libFbTk.a -lXpm -o movetest


run: testLayers testResource testKeys testStringUtil testFont
	./testLayers
	./testKeys
	./testStringUtil
	./testResource
	./testSignal
	./testFont
clean:
	rm -f *.o

## fluxbox 1.1.1+dfsg2

=== debian/changelog ===
fluxbox (1.1.1+dfsg2-1) unstable; urgency=low

  [ Paul Tagliamonte ]
  [Denis Briand]
  * Create extra directory to put all debian's styles and backgrounds.
  * New default background, thanks to Thomas Guillot <gtom@gtom.eu>.
  * Update copyright file with the CC-by-SA 3 license for
    the background picture.
  * Update copyright file with the 3-clause BSD license for
    debian_squeeze_dark style file.

  [Paul Tagliamonte]
  * Added patch for fbsetbg scale behavior. (Closes: #583704).
    Thanks to Jeremiah Mahler for his patch!
  * The following themes have been merged from upstream under
    a new license: arch, bloe, bora_black, bora_blue, bora_green
    carp, green_tea, ostrich, zimek_bisque, zimek_darkblue,
    zimek_green. They were moved from CC-BY-SA 2.5 to CC-BY-SA 3.0

  [ Dmitry E. Oboukhov ]
  * Switch to 3.0 (quilt) debian src format package.
  * Repackage orig.tgz to +dfsg2 version to fix prev incorrect upload.
  * Merge with all old patches.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 12 Jul 2010 15:23:08 +0400

fluxbox (1.1.1+dfsg1-1) unstable; urgency=high

  * New dfsg compatible source tarball (Closes: #584513).

 -- Denis Briand <denis@narcan.fr>  Sat, 05 Jun 2010 18:36:22 +0200

fluxbox (1.1.1-8) unstable; urgency=low

  [Paul Tagliamonte]
  * Bumped the deb stds version.

  [Denis Briand]
  * Upgrade libmagickcore-extra to libmagickcore3-extra build-dep.
  * Add source/format file.
  * Fix FTBFS with binutils-gold (Closes: #554386).
  * Fix hyphen-used-as-minus-sign in fbrun and fbsetbg man pages.
  * Allow centering fbrun popup (Closes: #550466).
    Thanks to Ulrich Eckhardt for his patch.
  * Debian Maintainer Upload is now allowed.

 -- Denis Briand <denis@narcan.fr>  Wed, 19 May 2010 12:42:11 +0200

fluxbox (1.1.1-7) unstable; urgency=low

  [ Denis Briand ]
  * Remove duplicate debhelper build-dependency.
  * Remove several whitespaces into debian/ files.

  [ Paul Tagliamonte ]
  * Fixed issue with obsolete dep. closes: #573971.

  [ Dmitry E. Oboukhov ]
  * Add Denis Briand into uploaders list.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 20 Mar 2010 20:32:14 +0300

fluxbox (1.1.1-6) unstable; urgency=low

  * Previous change to Uploaders closes: #552328
  * Adding in exit on fail to the preinst, as posted
    in the spec.
  * Added patch for changing some minor man spelling
    errors.
  * Removed bashism, Thank you Andres Mejia!, closes: #480597.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sun, 14 Jan 2010 01:56:00 -0500

fluxbox (1.1.1-5) unstable; urgency=low

  * Added Paul Tagliamonte <paultag@ubuntu.com> to the Uploaders
    field of the control file.
  * Removed control.in.
  * Changed rules to reflect the absence of a control.in.
  * Added patch to fix the keybinding manpage, closes: #513668.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Mon, 14 Dec 2009 03:12:03 -0500

fluxbox (1.1.1-4) unstable; urgency=low

  * Fixed FTBFS 'wmf2eps: not found', closes: #556810.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 18 Nov 2009 12:09:10 +0300

fluxbox (1.1.1-3) experimental; urgency=low

  * In attempt to fix the bug #532094.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 29 Jun 2009 00:16:04 +0400

fluxbox (1.1.1-2) unstable; urgency=low

  * Created git-repo on git.debian.org.
  * Added VCS-* records to debian/control.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 18 Mar 2009 22:47:41 +0300

fluxbox (1.1.1-1) unstable; urgency=low

  [New upstream version]
    * Opaque moving is now default.
    * Faster workspace switching, closes: #498623
    	(please reopen if i am wrong)
    Bug fixes:
    * Install issues.
    * Maximize/Fullscreen for windows with non-northwest gravity.
    * Randr < 1.2 checks.
    * Workaround for badly specified _NET_WM_ICONS.
    * Fixed unshade crash.
    * Minor pixmap resource leak.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 19 Sep 2008 11:25:49 +0400

fluxbox (1.1.0.1-2) unstable; urgency=low

  * Fix program crashes caused by unshading, closes: #498535.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 12 Sep 2008 10:28:51 +0400

fluxbox (1.1.0.1-1) unstable; urgency=low

  * New upstream version, closes: #375709, #437983, #175339, #222089.
  * Added 'Debian' theme.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 03 Sep 2008 20:45:23 +0400

fluxbox (1.0.0+deb1-9) unstable; urgency=low

  * Added background with debian logo into default theme.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 03 Aug 2008 18:18:16 +0400

fluxbox (1.0.0+deb1-8) unstable; urgency=low

  * x-dev has been removed from build-depends (out-of-date package).
  * Standards-Version bumped to 3.8.0.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 01 Jul 2008 10:38:14 +0400

fluxbox (1.0.0+deb1-7) unstable; urgency=low

  * Removed xsession-manager link, closes: #462914.
  * patch for man fbrun.1 (option -nearmouse),
     thanks Ken Bloom <kbloom@gmail.com>, closes: #478646.
  * My email address has been changed.
  * Fix debian/watch.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 29 May 2008 23:19:22 +0400

fluxbox (1.0.0+deb1-6) unstable; urgency=low

  * Added xsession-manager link to alternatives system, closes: #462914.
  * Added debian/watch file.
  * Added 'debian/create-git-package.sh' script for build git-snapshots.
  * Upload sponsored by Al Nikolov <clown@debian.org>.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Mon, 28 Jan 2008 17:47:19 +0300

fluxbox (1.0.0+deb1-5) unstable; urgency=low

  * Patch for Turkish language, thanks acemi <acemi.mail@gmail.com>,
    closes: #459600.
  * Upload sponsored by Al Nikolov <clown@debian.org>.

 -- Dmitry E. Oboukhov <dimka@avanto.org>  Mon, 07 Jan 2008 17:46:50 +0300

fluxbox (1.0.0+deb1-4) unstable; urgency=low

  * Fix 'FTBFS with GCC 4.3', with directly #include everything we use.
    Closes: #456045.
  * Use Tarball-Inside-a-Tarball Build System (cdbs).
  * Change control::Standards-Version to 3.7.3.
  * Homepage field added.


=== debian/control ===
Source: fluxbox
Section: x11
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Martin F. Krafft <madduck@debian.org>,
 Paul Tagliamonte <paultag@ubuntu.com>,
 Denis Briand <denis@narcan.fr>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.23-1.1), bzip2, autotools-dev, debhelper (>= 5),
 libx11-dev, libxft-dev, libxinerama-dev, libxpm-dev,
 libxrandr-dev, libxt-dev, libxext-dev,
 libimlib2-dev, libgtk2.0-dev, imagemagick, libmagickcore3-extra
Standards-Version: 3.8.4
Homepage: http://fluxbox.org
VCS-git: git://git.debian.org/git/collab-maint/fluxbox.git
VCS-browser: http://git.debian.org/?p=collab-maint/fluxbox.git;a=summary

Package: fluxbox
Architecture: any
Provides: x-window-manager
Recommends: xfonts-terminus
Suggests: fluxconf, fbpager, fbdesk
Depends: menu (>=2.1.19), ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable and low resource X11 Window manager
 Fairly similar to blackbox, from which it is derived, but has been
 extended with features such as pwm-style window tabs, configurable
 key bindings, toolbar, and an iconbar. It also includes some cosmetic
 fixes over blackbox.
 .
 This package contains support for GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f

# DEB_TAR_SRCDIR = fluxbox-1.1.1

# include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/dpatch.mk

DEBLOGO_WALLPAPER_SRC	:= debian/extra/backgrounds/wallpaper-flux-debian-lighting-black-1600x1200.svg
DEBLOGO_WALLPAPER_PNG	:= $(DEBLOGO_WALLPAPER_SRC:%.svg=%.png)

DEB_CONFIGURE_SYSCONFDIR := /etc/X11/fluxbox

DEB_CONFIGURE_EXTRA_FLAGS := --enable-xinerama --enable-nls \
		--with-apps=$(DEB_CONFIGURE_SYSCONFDIR)/apps \
	     	--with-keys=$(DEB_CONFIGURE_SYSCONFDIR)/keys \
	     	--with-init=$(DEB_CONFIGURE_SYSCONFDIR)/init \
		--with-overlay=$(DEB_CONFIGURE_SYSCONFDIR)/overlay \
	     	--with-menu=$(DEB_CONFIGURE_SYSCONFDIR)/fluxbox.menu-user \
	     	--with-windowmenu=$(DEB_CONFIGURE_SYSCONFDIR)/window.menu \
	     	--with-style=/usr/share/fluxbox/styles/debian_squeeze_dark \
	     	--with-locale=/usr/share/fluxbox/nls \
	     	--enable-shape

CXXFLAGS := -O2 -ffunction-sections

#fix FTBFS with binutils-gold
LDFLAGS=-lfontconfig

$(DEBLOGO_WALLPAPER_PNG): $(DEBLOGO_WALLPAPER_SRC)
	convert $< $@

configure/fluxbox:: $(DEBLOGO_WALLPAPER_PNG)
#         touch aclocal.m4 config.h.in Makefile.in configure
	# replace lucida font to dejavu
	find build-tree/$(DEB_TAR_SRCDIR)/data/styles/ -type f | \
		grep -v 'xpm$$'|grep -v Makefile | xargs \
			perl -pi -e 's#\sbsetroot# fbsetroot#g; \
				s#\slucida# dejavu#g; \
				s#\s-\S+?-lucida-# -*-dejavu-#g; \
				s#\slucidasans# dejavusans#g; \
				s#-lucidatypewriter-#-dejavu-#g'

clean::
	rm -f *.cdbs-config_list $(DEBLOGO_WALLPAPER_PNG)
	rm -f Makefile config.log config.status data/Makefile data/styles/Makefile
	rm -fr .pc src/defaults.cc
	find -name Makefile -delete

install/fluxbox::
	# We use menu file generated by the 'menu' package.
	rm -f ./debian/fluxbox/usr/bin/fluxbox-generate_menu
	perl debian/debian-fluxbox-config-patch.pl

## fluxbox 1.1.1+git20100807.0cc08f9

=== debian/changelog ===
fluxbox (1.1.1+git20100807.0cc08f9-1) unstable; urgency=low

  * debian/ dir has been cleaned out, complete repackage
    of most files.
  * pulled new archive from git.fluxbox.org HEAD, saved as
    tar.gz.
  * Added in fluxbox.* files from the old dfsg tree.
  * Added in system.fluxbox-menu file from the old dfsg tree
  * Added the source/format file to bump package source
    version from 1.0 to 3.0 (quilt). 
  * Changed rules file to match the old dfsg setup so that
    fluxbox behaves nicely.
  * Removed entries from copyright that no longer apply.
  * Added theme based on Denis Brand ( naran )'s old theme.
  * Added a background I whipped up.
  * Changed compile flags to point to debian theme by default
  * Adding a patch to have fluxbox use x-terminal-emulator
    over xterm. Closes: #591694 (LP: #580485)
  * Adding a patch to allow titlebar-window dragging.
  * Changed the flags in rules to pull from a script. This script
    lets us un-hardcode what theme is default. Be sure there
    is a theme pack!
  * Added comments to my patches.
  * Removing debian/docs, empty file.
  * Fixing fluxbox.desktop to remove all the warnings from
    desktop-file-validate
  * Fixing libtool issue by running an update before
    configure in the rules script.
  * Added a compile flag script to auto-detect what platform
    we are running on, and apply the correct theme. This
    should solve Ubuntnu issues later on.
  * adding in a get-orig-source rule
  * fixing the upstream version number to pinpoint
    the commit ( thanks, lfaraone ).
  * adding a rule for get-orig-source. ( thanks again,
    lfaraone ).
  * Updated rules to actually allow us to do a build from it
  * Removed Denis from the uploaders ( as per an email
    conversation )
  * Removing madduck from the uploaders ( thanks for asking,
    lfaraone. ). Thanks for your hard work, madduck.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Thu, 12 Aug 2010 21:16:02 -0400

## fluxbox 1.1.1+git20100807.0cc08f9-1mint1

=== debian/changelog ===
fluxbox (1.1.1+git20100807.0cc08f9-1mint1) isadora-fluxbox; urgency=low

  * Repackaged for isadora-fluxbox

 -- Kendall Weaver <kendalltweaver@gmail.com>  Tue, 31 Aug 2010 02:46:27 -0400

=== debian/control ===
Source: fluxbox
Section: x11
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Paul Tagliamonte <paultag@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.23-1.1), bzip2, autotools-dev, debhelper (>= 7),
 libx11-dev, libxft-dev, libxinerama-dev, libxpm-dev,
 libxrandr-dev, libxt-dev, libxext-dev,
 libimlib2-dev, libgtk2.0-dev, autoconf, libtool, automake
Standards-Version: 3.9.1
Homepage: http://fluxbox.org
VCS-git: git://git.debian.org/git/collab-maint/fluxbox.git
VCS-browser: http://git.debian.org/?p=collab-maint/fluxbox.git;a=summary

Package: fluxbox
Architecture: any
Provides: x-window-manager
Recommends: xfonts-terminus
Suggests: fbpager, fbdesk
Depends: menu (>=2.1.19), ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable and low resource X11 Window manager
 Fairly similar to blackbox, from which it is derived, but has been
 extended with features such as pwm-style window tabs, configurable
 key bindings, toolbar, and an iconbar. It also includes some cosmetic
 fixes over blackbox.
 .
 This package contains support for GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

PACKAGE = fluxbox

DEB_CONFIGURE_SYSCONFDIR := /etc/X11/fluxbox

DEB_STYLE_DIR = /usr/share/fluxbox/styles/

DEB_CONFIGURE_EXTRA_FLAGS := `./debian/configure-flags.sh $(DEB_CONFIGURE_SYSCONFDIR) $(DEB_STYLE_DIR)`

# Rules for fetching the upstream tarball
CURRENT_TREEISH =$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*git.{9}([^-]+).*,\1,p')
CURVER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

SOURCE_DIR=fluxbox-$(CURVER)
TARBALL=fluxbox_$(CURVER).orig.tar.gz

CXXFLAGS := -O2 -ffunction-sections

#fix FTBFS with binutils-gold
LDFLAGS=-lfontconfig

build:
	./theme/setup.sh
	autoreconf -i --force

clean::
	rm -f *.cdbs-config_list
	rm -f Makefile config.log config.status data/Makefile data/styles/Makefile
	rm -fr .pc src/defaults.cc
	find -name Makefile -delete

install/fluxbox::
	# We use the menu file generated by the 'menu' package.
	rm -f ./debian/fluxbox/usr/bin/fluxbox-generate_menu

$(SOURCE_DIR):
	git clone git://git.fluxbox.org/fluxbox.git $(SOURCE_DIR)
	if [ x$(CURRENT_TREEISH) = x ]; then \
		cd $(SOURCE_DIR) && git checkout v$(CURVER); \
	else \
		cd $(SOURCE_DIR) && git checkout $(CURRENT_TREEISH); \
	fi


$(TARBALL): $(SOURCE_DIR)
	tar czvf $(TARBALL) $(SOURCE_DIR)

get-orig-source: $(TARBALL)
	rm -rf $(SOURCE_DIR) $(SOURCE_DIR).temp

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://fluxbox.org/download/ \
	.*fluxbox-(\d+(?:\.\d+){2,3}).t(?:ar\.gz|gz|ar\.bz2).*

## fluxbox 1.3.1~dfsg1

=== debian/changelog ===
fluxbox (1.3.1~dfsg1-1) unstable; urgency=low

  * New upstream release! A new record!
  * Added `feh' to the recomends. I'm tired of having to keep
    installing it.
  * We've had to repackage the Fluxbox tarball. It includes a
    theme that is not DFSG free (since it's CC NC).
    I've talked with upstream, and they are willing to change the
    license on the theme for the next version. Thanks so much,
    Gilbert! (Closes: 615117).
  * Changed the watch file back to ignore dfsg trailing version IDs.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sun, 27 Feb 2011 14:45:48 -0500

fluxbox (1.3.0-1) unstable; urgency=low

  * Adding headers to our patches, DEP3'd.
    - Added to fix-xterm-keybinding.patch
    - Added to fix-manpages-lintian-warnings.patch
  * Adding in Ubuntu-light theme. This theme better
    fits the new Ubuntu guidelines. Thanks for testing, 
    aberinkulas!
  * Enabling xft ( adding --enable-xft to the configure string )
  * FTBFS fixed upstream. I forwarded the patch from Felix Geyer,
    but it was re-written to fix it in a generic way.
    (Closes: 554386).
  * ak|ra fixed the issue with nxserver, thanks to Alex
    Bramley. About time! (Closes: 546707).
  * fribidi is in the new release. We can close this bug because
    ( as noted in the report ), #577798 is a dupe ( and closed ).
    (Closes: 477154).
  * We've fixed the debian-dark theme. (Closes: 600513).
  * There's a solution to the window-raising bug, on that report.
    I'm going to close it out, it's just hanging around, and
    no one is working on it (Closes: 593244).
  * By the same token, there's another bug with a usable solution
    that could use a closing (Closes: 601256).
  * ak|ra fixed some under-the-hood stuff to avoid a race condition
    for the keys file. Should not longer spam the file.
    (Closes: 595129).
  * Updated pt_BR translation upstream. Thanks for the fix,
    Sergio Cipolla! (Closes: 601490).
  * Did a mild cleaning of the build-dep line of the control. No
    changes other then spacing. 
  * Removed the following patches because they were accepted upstream.
     - restore-old-keybindings.patch
     - julien-ontab-keybinding.patch
     - fix-ftbfs-no-add-needed.patch
     - enable-dragging.patch
  * The default key file was changed a bit, tab behavior should be fine
    now. Thanks, Tim! (Closes: 601256).
  * We have fribidi now (so Hebrew and Arabic display fine, now),
    thanks for the report, Oz! (Closes: 477154).
  * adding in fbautostart into the suggests, might end up helping someone!
  * got rid of the .gitignore, and changed the rules to not purge the
    .m files.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sat, 19 Feb 2011 19:15:44 -0500

fluxbox (1.1.1+git20100908.df2f51b-2) unstable; urgency=low

  * Enable fribidi support, thanks for Chanoch (Ken) Bloom <kbloom@gmail.com>
    for bugreport, closes: #577798.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 09 Sep 2010 08:52:29 +0400

fluxbox (1.1.1+git20100908.df2f51b-1) unstable; urgency=low

  [ Dmitry E. Oboukhov ]
    * Renew old repo structure.
      Paul! To merge with upstream use 'git pull' command :)
    * Merge with upstream git-repo.
    * Renew my old Debian theme.
  [ Paul Tagliamonte ]
    * Adding in a patch to fix problems with the default
      key settings. (Closes: 592904)

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 08 Sep 2010 14:53:41 +0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Paul Tagliamonte <paultag@ubuntu.com>
 DM-Upload-Allowed: yes
 Build-Depends: cdbs (>= 0.4.23-1.1), bzip2, autotools-dev, debhelper (>= 7),
- libx11-dev, libxft-dev, libxinerama-dev, libxpm-dev,
- libxrandr-dev, libxt-dev, libxext-dev,
- libimlib2-dev, libgtk2.0-dev, autoconf, libtool, automake
+ libx11-dev, libxft-dev, libxinerama-dev, libxpm-dev, libxrandr-dev,
+ libxt-dev, libxext-dev, libimlib2-dev, libgtk2.0-dev, autoconf, libtool,
+ automake, imagemagick, libmagickcore3-extra, libfribidi-dev
 Standards-Version: 3.9.1
 Homepage: http://fluxbox.org
 VCS-git: git://git.debian.org/git/collab-maint/fluxbox.git
@@ -16,8 +16,8 @@
 Package: fluxbox
 Architecture: any
 Provides: x-window-manager
-Recommends: xfonts-terminus
-Suggests: fbpager, fbdesk
+Recommends: xfonts-terminus, feh
+Suggests: fbpager, fbdesk, fbautostart
 Depends: menu (>=2.1.19), ${shlibs:Depends}, ${misc:Depends}
 Description: Highly configurable and low resource X11 Window manager
  Fairly similar to blackbox, from which it is derived, but has been

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk


DEB_CONFIGURE_SYSCONFDIR 	:= /etc/X11/fluxbox
DEB_STYLE_DIR 			:= /usr/share/fluxbox/styles/
VENDOR_THEME			:= $(shell \
	if dpkg-vendor --derives-from Ubuntu; then \
		echo Ubuntu-light; \
	else \
		echo Debian-dark; \
	fi \
)

VERSION	= $(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}' \
	|sed 's/-[[:digit:]]\+$$//')

# additional themes source images
BACKGROUND_IMAGES	= ubuntu-dark.png debian-blue.png debian-dark.png

DEB_CONFIGURE_EXTRA_FLAGS 	:= \
	--enable-xinerama \
	--enable-nls \
	--enable-xft \
	--with-apps=$(DEB_CONFIGURE_SYSCONFDIR)/apps \
	--with-keys=$(DEB_CONFIGURE_SYSCONFDIR)/keys \
	--with-init=$(DEB_CONFIGURE_SYSCONFDIR)/init \
	--with-overlay=$(DEB_CONFIGURE_SYSCONFDIR)/overlay \
	--with-menu=$(DEB_CONFIGURE_SYSCONFDIR)/fluxbox.menu-user \
	--with-windowmenu=$(DEB_CONFIGURE_SYSCONFDIR)/window.menu \
	--with-locale=/usr/share/fluxbox/nls \
	--with-style=$(DEB_STYLE_DIR)/$(VENDOR_THEME) \
	--enable-shape \
	--enable-fribidi


CXXFLAGS := -O2 -ffunction-sections

#fix FTBFS with binutils-gold
LDFLAGS=-lfontconfig


# rules to build background images
%-dark.png: additional-themes/wallpapers-source/%-dark.xcf
	convert $<  -layers merge $@
debian-blue.png: additional-themes/wallpapers-source/debian-blue.svg
	convert $< $@

configure/fluxbox:: $(BACKGROUND_IMAGES)

clean::
	rm -f *.cdbs-config_list
	rm -f src/defaults.cc
	# find nls -type f -name generated-\*.m -delete
	rm -f $(BACKGROUND_IMAGES)
	rm -fr .pc/

install/fluxbox::
	# We use the menu file generated by the 'menu' package.
	rm -f ./debian/fluxbox/usr/bin/fluxbox-generate_menu
	perl debian/update-init.pl \
		debian/fluxbox$(DEB_CONFIGURE_SYSCONFDIR)/init


# creates both tarballs
tarball: clean ../fluxbox_$(VERSION).orig.tar.gz \
	../fluxbox_$(VERSION).orig-additional-themes.tar.gz


# current tree must have no applied patсhes
../fluxbox_$(VERSION).orig.tar.gz:
	tar -C.. --exclude=.git \
			--exclude=debian \
			--exclude=additional-themes \
			--exclude=.gitignore \
			-czvf $@ fluxbox-$(VERSION)

../fluxbox_$(VERSION).orig-additional-themes.tar.gz:
	tar -czvf $@ additional-themes

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://fluxbox.org/download/ \
        .*fluxbox-(\d+(?:\.\d+){2,3}).t(?:ar\.gz|gz|ar\.bz2).*

## fluxbox 1.3.1~dfsg2

=== debian/changelog ===
fluxbox (1.3.1~dfsg2-1) unstable; urgency=low

  * Changing up the additional-themes directory, and moving it under
    debain/ - since we're using 3.0, we can store PNGs in there (if we
    need to) because it gets stored as a debain.tar.gz, not a patch.gz.
  * Revamped debian/rules, using a rules.d style setup. Should be
    much cleaner now.
  * Added a bunch of themes from Piotr Wcislo. Thanks, Piotr!
  * I ended up removing libmagickcore3-extra for this upload, since I'm not
    using `convert' Thanks, Mehdi! (Closes: #628849). While I was in there,
    I sorted the remaining depedencies.
  * Updated debian standards to 3.9.2. No changes.
  * Changed compact level to 8 from 7. No changes.
  * Transitioned to DEP5, man we got a mess of licenses in here. Shucks!
  * Changed debian-blue to use the system-wide debian svg, rather then
    shipping a converted one.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sun, 25 Sep 2011 16:58:13 +0000

fluxbox (1.3.1~dfsg1-2) unstable; urgency=low

  * Adding in a patch to solve the FTBFS on oneiric (really more
    a problem with gcc-4.6, though). Yanked a patch from upstream.
    Thanks, Daniel Diaz! (LP: #771017)

 -- Paul Tagliamonte <paultag@ubuntu.com>  Tue, 26 Apr 2011 16:17:29 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders: Paul Tagliamonte <paultag@ubuntu.com>
 DM-Upload-Allowed: yes
-Build-Depends: cdbs (>= 0.4.23-1.1), bzip2, autotools-dev, debhelper (>= 7),
- libx11-dev, libxft-dev, libxinerama-dev, libxpm-dev, libxrandr-dev,
- libxt-dev, libxext-dev, libimlib2-dev, libgtk2.0-dev, autoconf, libtool,
- automake, imagemagick, libmagickcore3-extra, libfribidi-dev
-Standards-Version: 3.9.1
+Build-Depends: autoconf, automake, autotools-dev, bzip2, debhelper (>= 8),
+ dh-autoreconf, libfribidi-dev, libgtk2.0-dev, libimlib2-dev, libtool,
+ libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev,
+ libxrandr-dev, libxt-dev
+Standards-Version: 3.9.2
 Homepage: http://fluxbox.org
 VCS-git: git://git.debian.org/git/collab-maint/fluxbox.git
 VCS-browser: http://git.debian.org/?p=collab-maint/fluxbox.git;a=summary

## fluxbox 1.3.2

=== debian/changelog ===
fluxbox (1.3.2-4) unstable; urgency=low

  * Adding in a bit of tighter integration with fbautostart. This includes
    a new patch -- fix-startup-check-fbautostart.patch.
  * Added a few C*FLAGS to the invocation of configure. Thanks to a new
    lintian check that caught the failure to pass the flags correctly.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Wed, 30 May 2012 22:17:42 -0400

fluxbox (1.3.2-3) unstable; urgency=low

  * Fixing a tab vs space issue in rules.d/001-constants.mk.
  * Bumping standards version to 3.9.3, no changes needed.
  * Updated copyright to be policy-compliant.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sun, 26 Feb 2012 19:53:03 -0500

fluxbox (1.3.2-2) unstable; urgency=low

  * Fixing a minor headache with not shipping .png images, since most
    background setters can't set .svg. (Closes: #645120)
     - I've (as a result) been forced to add the .png files to the
       source/include-binaries file.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Thu, 03 Nov 2011 20:19:52 -0400

fluxbox (1.3.2-1) unstable; urgency=low

  * Patch by Harald Jenny to fix the debian-light theme. (Closes: #645057)
  * Changed the author header in the patches/ directory - malformed author
    value.
  * Upstream fix closed a bug back in 1.3.0 - we'll just close that out with the
    new release (Closes: #617638). Thanks, Frédéric and lmwangi!
  * Upstream signal handling is fixed up a great deal thanks to Pavelo
    - (Closes: #532094) - Thanks, Phil!
    - (Closes: #596029) - Thanks, James! (This one was particularly annoying)
  * Overhauled the copyright file - we're all set (Closes: #585180) - Thanks,
    Francesco!
    - While I was in there, migrated to the latest version of DEP5.
  * The icon handling has been fixed up (LP: #361389) - thanks dsyates!
  * Please note that this is no longer non-DFSG free upstream. This release
    no longer needs DFSG hacks.
     - Unmangled watch file.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sat, 29 Oct 2011 11:45:52 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders: Paul Tagliamonte <paultag@ubuntu.com>
 DM-Upload-Allowed: yes
-Build-Depends: autoconf, automake, autotools-dev, bzip2, debhelper (>= 8),
+Build-Depends: autoconf, automake, autotools-dev, bzip2, debhelper (>= 9),
  dh-autoreconf, libfribidi-dev, libgtk2.0-dev, libimlib2-dev, libtool,
  libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev,
  libxrandr-dev, libxt-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://fluxbox.org
 VCS-git: git://git.debian.org/git/collab-maint/fluxbox.git
 VCS-browser: http://git.debian.org/?p=collab-maint/fluxbox.git;a=summary
@@ -16,7 +16,7 @@
 Package: fluxbox
 Architecture: any
 Provides: x-window-manager
-Recommends: xfonts-terminus, feh
+Recommends: xfonts-terminus, feh | eterm | hsetroot | xloadimage
 Suggests: fbpager, fbdesk, fbautostart
 Depends: menu (>=2.1.19), ${shlibs:Depends}, ${misc:Depends}
 Description: Highly configurable and low resource X11 Window manager

## fluxbox 1.3.5

=== debian/changelog ===
fluxbox (1.3.5-2) unstable; urgency=low

  [Paul Tagliamonte]
  * Check for $HOME before blindly using it in fluxbox-update_configs.
    (Closes: #715911)

  [Andreas Beckmann]
  * preinst, prerm: Do not test for the existence of update-alternatives
    (this is part of dpkg).  (Closes: #720136)
  * Do not remove+reinstall the current alternative on upgrades as that could
    override local customization.

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 24 Feb 2014 22:56:46 -0500

fluxbox (1.3.5-1) unstable; urgency=low

  * Release from Experimental to Unstable. No changes.

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 14 May 2013 21:01:56 -0400

fluxbox (1.3.5-1~exp1) experimental; urgency=low

  * New upstream release

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 13 Feb 2013 09:42:38 -0500

fluxbox (1.3.4-1~exp1) experimental; urgency=low

  * New upstream release

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 11 Feb 2013 00:08:42 -0500

fluxbox (1.3.3-1~exp1) experimental; urgency=low

  * New upstream release
  * Update my email to @debian.org
  * Remove DMUA
  * Bump standards version
  * Correct caps on Vcs-Git (etc)

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 30 Dec 2012 15:02:01 -0500

=== debian/rules ===
#!/usr/bin/make -f

RULE_FILES=$(shell ls debian/rules.d/*.mk | sort -n)

include $(RULE_FILES)

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://fluxbox.org/download/ \
	.*fluxbox-(\d+(?:\.\d+){2,3}).t(?:ar\.gz|gz|ar\.bz2).*

## fluxbox 1.3.7

=== debian/changelog ===
fluxbox (1.3.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:03 +1100

fluxbox (1.3.7-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:03:47 +0100

fluxbox (1.3.7-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #969440 #987223)
  * Acknowledge NMU 1.3.5-2.1. (Closes: #943578)
  * Drop depends on deprecated GTK 2. No longer used. (Closes: #967345)
  * Add debian/patches/fix_ld_ftbfs.patch from upstream for fix FTBFS with
    build-system: fix "make check".
  * Bump dh version to 13.
  * Bump Standards-Version to 4.6.2.
  * Add debian/patches/replace_FbRootWindow_depth_with_maxDepth.patch for
    replace FbRootWindow::depth with maxDepth. (Closes: #1003798)
  * Remove autotools-dev from B-D.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 04 Aug 2023 20:49:29 +0200

fluxbox (1.3.7-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 18 Feb 2015 14:29:38 -0500

fluxbox (1.3.6-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 06 Jan 2015 14:02:15 -0500

fluxbox (1.3.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/fluxbox-1.3.7-c++17.patch from Gentoo for fix FTBFS
    with GCC-11. (Closes: #984134)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 29 Jan 2022 21:35:26 +0100

=== debian/control ===
Source: fluxbox
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>
Build-Depends: autoconf, automake, bzip2, debhelper-compat (= 13),
 libfribidi-dev, libimlib2-dev, libtool,
 libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev,
 libxrandr-dev, libxt-dev, libxrender-dev
Standards-Version: 4.6.2
Homepage: https://fluxbox.org

Package: fluxbox
Architecture: any
Provides: x-window-manager
Recommends: xfonts-terminus, feh | eterm | hsetroot | xloadimage
Suggests: fbpager, fbdesk, fbautostart
Depends: menu (>=2.1.19), ${shlibs:Depends}, ${misc:Depends}
Description: Highly configurable and low resource X11 Window manager
 Fairly similar to blackbox, from which it is derived, but has been
 extended with features such as pwm-style window tabs, configurable
 key bindings, toolbar, and an iconbar. It also includes some cosmetic
 fixes over blackbox.
 .
 This package contains support for GNOME and KDE.

## fluxbox 1.3.7+git7525226

=== debian/changelog ===
fluxbox (1.3.7+git7525226-drbl3) unstable; urgency=medium

  * New upstream from https://github.com/fluxbox/fluxbox with
    latest commit 7525226. Drop the patch patch by richardgv.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 23 Jul 2016 15:09:40 +0800

fluxbox (1.3.7-1.drbl2) unstable; urgency=medium

  * Applied the patch by richardgv to fix the window border missing issue.
    https://github.com/chjj/compton/issues/43

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 23 Jul 2016 14:20:37 +0800

fluxbox (1.3.7-1.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Recompiled on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 23 Jul 2016 12:40:59 +0800

## fluxbox 1.3.7+git20220731

=== 3rd/vim/Makefile ===
PLUGIN = fluxbox
SOURCE = syntax/fluxapps.vim \
		 syntax/fluxkeys.vim \
		 syntax/fluxmenu.vim \
		 syntax/fluxstyle.vim \
		 ftdetect/fluxbox.vim

${PLUGIN}.vba: $(SOURCE) compile_vba.sh Makefile
	sh ./compile_vba.sh $(SOURCE) > $@

clean:
	rm ${PLUGIN}.vba

=== doc/asciidoc/Makefile ===
--- 
+++ 
@@ -2,10 +2,24 @@
 # create manpages from the asciidoc files
 #
 
-SRC1 = fluxbox.txt fluxbox-remote.txt fbrun.txt fbsetbg.txt fbsetroot.txt startfluxbox.txt
-SRC5 = fluxbox-keys.txt fluxbox-apps.txt fluxbox-style.txt fluxbox-menu.txt
+SRC1 = \
+	fbrun.txt \
+	fbsetbg.txt \
+	fbsetroot.txt \
+	fluxbox-remote.txt \
+	fluxbox.txt \
+	startfluxbox.txt
 
-MAN = $(SRC1:.txt=.1) $(SRC5:.txt=.5)
+SRC5 = \
+	fluxbox-apps.txt \
+	fluxbox-keys.txt \
+	fluxbox-menu.txt \
+	fluxbox-style.txt
+
+MAN = \
+	$(SRC1:.txt=.1) \
+	$(SRC5:.txt=.5)
+
 MANdotIN = $(addsuffix .in,$(MAN))
 DISTFILES = $(addprefix ../,$(MANdotIN))

=== debian/changelog ===
fluxbox (1.3.7+git20220731-0mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 27 Apr 2023 21:11:36 -0400

fluxbox (1.3.7-1~antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 15 Jan 2020 01:04:07 +0200

## fluxbox 1.3.7+git20241130

=== doc/asciidoc/es/Makefile ===
#
# create manpages from the asciidoc files
#

SRC1 = fluxbox.txt
SRC5 =

MAN = $(SRC1:.txt=.1) $(SRC5:.txt=.5)

all : $(MAN)
clean:
	rm -fv $(MAN)

%.xml : %.txt
	asciidoc -b docbook -d manpage -o $@ $<

%.1 : %.xml
	xmlto man $<

%.5 : %.xml
	xmlto man $<

=== debian/changelog ===
fluxbox (1.3.7+git20241130-1mx25) mx; urgency=medium

  * Incorporate all the development since 1.3.7 was released in 2015.
  * Build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 16 Apr 2025 21:16:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: fluxbox
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Uploaders: Paul Tagliamonte <paultag@debian.org>
 Build-Depends: autoconf, automake, bzip2, debhelper-compat (= 13),
  libfribidi-dev, libimlib2-dev, libtool,
  libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev,

## fluxbox 1.4.0

=== debian/changelog ===
fluxbox (1.4.0-0.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * pre-1.4.0
  * Drop already applied upstream debian/patches/:
    - fluxbox-1.3.7-c++17.patch
    - fix_ld_ftbfs.patch
    - replace_FbRootWindow_depth_with_maxDepth.patch

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 11 Feb 2024 21:59:20 +0300
